Skip to main content

List Global Transfers

GET /api/v1/transfers?page=1
Returns the latest transfers across all competitions. 200 transfers per page, 67 pages total.
curl -H "x-api-key: YOUR_API_KEY" \
  "https://api.sportsapipro.com/v6/football/transfers?page=1"

Response

{
  "success": true,
  "transfers": [
    {
      "id": 2692408,
      "transferTime": 1767196800,
      "player":   { "id": "o17pjip8jg4fj7j" },
      "fromTeam": { "id": "9gklzi0wp8s17xd" },
      "toTeam":   { "id": "g6763iwvy9cp7ry", "comp": { "id": "el6kegijnin75dp" } },
      "marketValue": 100000
    }
  ],
  "players": [
    { "id": "l6kegiejvmsl75d", "name": "Jairo Vélez", "position": "F", "age": 31, "slug": "jairo-velez" }
  ],
  "teams": [
    { "id": "1edq09ivgnh4qxg", "name": "Sport Boys", "slug": "sport-boys" }
  ],
  "comps": [
    { "id": "el6kegijnin75dp", "name": "Liga 1 Peru" }
  ],
  "pagination": { "page": 1, "total": 67 }
}
Hydrate transfers[].player.id, fromTeam.id, toTeam.id, and toTeam.comp.id against the sibling players[], teams[], and comps[] arrays. Cache TTL: 10 minutes.
Last modified on June 29, 2026